controllers:
    resource:
        path: ../src/Controller/
        namespace: App\Controller
    type: attribute
homepage:
    path: /
    controller: 'App\Controller\HomeController::index'
    methods: GET
new_message:
    path: /new_message
    controller: 'App\Controller\HomeController::newMessage'
    methods: POST
unsubscribe:
    path: /unsubscribe/{campaign}/{email}
    requirements:
        campaign: '[a-zA-Z-]+'
        email: '[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}'
    controller: 'App\Controller\UnsubscribeController::index'
    methods: GET
webhookzoho:
    path: /webhookzoho
    requirements:
        _basic_auth: true
    controller: 'App\Controller\HomeController::webhookzoho'
    methods: POST
webhookwhatsapp:
    path: /webhookwhatsapp
    controller: 'App\Controller\HomeController::webhookwhatsapp'
    methods: GET|POST
app_donation:
    path: /donation
    controller: 'App\Controller\DonationController::index'
    methods: GET
confirm_donation:
    path: /donation/confirmation
    controller: 'App\Controller\DonationController::confirmDonation'
    methods: POST